<template>
           <div class="cell flex justify-between py-3 border-t border-b border-app-dark-3 px-2">
               <div class="left">hahah</div>
               <div class="right">
                    <a-switch default-checked /> 
               </div>
           </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Switch } from 'ant-design-vue'
Vue.use(Switch)
export default Vue.extend({
  props: {
    size: String,
    type: {
        type:String,
        default:'select'
    },
    disabled:{
        type:Boolean,
        default:false
    },
    text:{
        type: String,
        required: true
    },
    theme:{
        type: String,
        default:'default'
    }
  },
  methods:{
      eventEmit(v:any){
          if(this.disabled){
              return
          }
          this.$emit('btnClicked',v)
      }
  },
  computed:{
      getSize(){
          switch (this.size) {
              case 'full':
                    return 'w-full'
              default:
                  return 'w-20';
          }
      }
  }
});
</script>

